Index: /branches/new_class_id/src/lib/script_engine/Makefile.am
===================================================================
--- /branches/new_class_id/src/lib/script_engine/Makefile.am	(revision 9753)
+++ /branches/new_class_id/src/lib/script_engine/Makefile.am	(revision 9754)
@@ -16,6 +16,7 @@
                 script_manager.cc \
 		script_class.cc \
-		script_method.cc
-		
+		script_method.cc \
+		executor_lua_state.cc
+
 AM_CPPFLAGS= @LUA_INCLUDES@
 
@@ -25,5 +26,6 @@
                 script_manager.h \
 		script_class.h \
-		script_method.h
+		script_method.h \
+		executor_lua_state.h
 
 
Index: /branches/new_class_id/src/lib/script_engine/executor_lua_state.cc
===================================================================
--- /branches/new_class_id/src/lib/script_engine/executor_lua_state.cc	(revision 9754)
+++ /branches/new_class_id/src/lib/script_engine/executor_lua_state.cc	(revision 9754)
@@ -0,0 +1,28 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "executor_lua_state.h"
+
+#include "lunar.h"
+
+std::string temp[7];
+
+
+template<typename type> type fromLua(lua_State* state, int index) { type *obj = Lunar<type>::check(state, 1); lua_remove(state, 1); return obj; };
+template<typename type> void toLua(lua_State* state, type value) { Lunar<type>::push(state, value, false); };
+
+template<> const std::string& fromLua<const std::string&>(lua_State* state, int index) { temp[index] = lua_tostring(state, index); return temp[index]; };
Index: /branches/new_class_id/src/lib/script_engine/executor_lua_state.h
===================================================================
--- /branches/new_class_id/src/lib/script_engine/executor_lua_state.h	(revision 9754)
+++ /branches/new_class_id/src/lib/script_engine/executor_lua_state.h	(revision 9754)
@@ -0,0 +1,105 @@
+/*!
+ * @file executor_lua_state.h
+ * Definition of a Executor that takes lua_State* as input.
+ */
+
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+
+
+#ifndef __EXECUTOR_LUA_STATE_H_
+#define __EXECUTOR_LUA_STATE_H_
+
+
+#include "executor/executor_generic.h"
+
+#include "luaincl.h"
+
+#ifdef FUNCTOR_CALL_TYPE
+ #undef FUNCTOR_CALL_TYPE
+#endif
+//! Define the Functor call type as lua_State*.
+#define FUNCTOR_CALL_TYPE lua_State*
+
+/**
+ * @brief Converts a lua_State into any type.
+ * @param state the State to get the value from.
+ * @param index the position inside of the lua_State to get the value from.
+ * @returns The value if found.
+ */
+template<typename type> type fromLua(lua_State* state, int index);
+/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
+template<> inline bool fromLua<bool>(lua_State* state, int index) { return lua_toboolean(state, index); };
+/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
+template<> inline int fromLua<int>(lua_State* state, int index) { return (int)lua_tonumber(state, index); };
+/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
+template<> inline unsigned int fromLua<unsigned int>(lua_State* state, int index) { return (unsigned int)lua_tonumber(state, index); };
+/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
+template<> inline float fromLua<float>(lua_State* state, int index) { return (float)lua_tonumber(state, index); };
+/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
+template<> inline char fromLua<char>(lua_State* state, int index) { return (char)lua_tonumber(state, index); };
+/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
+template<> const std::string& fromLua<const std::string&>(lua_State* state, int index);
+
+
+/**
+ * @brief writes a value into a lua_State.
+ * @param state the state to write into.
+ * @param value the Value of type to write into the State.
+ */
+template<typename type> void toLua(lua_State* state, type value);
+/** @see template<typename type> void toLua(lua_State* state, type value) */
+template<> inline void toLua<bool>(lua_State* state, bool value) { lua_pushboolean(state, (int) value); };
+/** @see template<typename type> void toLua(lua_State* state, type value) */
+template<> inline void toLua<int>(lua_State* state, int value)  { lua_pushnumber(state, (lua_Number) value); };
+/** @see template<typename type> void toLua(lua_State* state, type value) */
+template<> inline void toLua<unsigned int>(lua_State* state, unsigned int value){ lua_pushnumber(state, (lua_Number) value); };
+/** @see template<typename type> void toLua(lua_State* state, type value) */
+template<> inline void toLua<float>(lua_State* state, float value) { lua_pushnumber(state, (lua_Number) value); };
+/** @see template<typename type> void toLua(lua_State* state, type value) */
+template<> inline void toLua<char>(lua_State* state, char value) { lua_pushnumber(state, (lua_Number) value); };
+/** @see template<typename type> void toLua(lua_State* state, type value) */
+template<> inline void toLua<const std::string&>(lua_State* state, const std::string& value) { lua_pushstring (state, value.c_str()); }
+
+
+
+//! A Class, that evaluates a lua_State and converts indices into different Types.
+template<> class ExecutorEvaluater <lua_State*>
+{
+public:
+  /** @brief Executes the Evaluater
+   * @param CallValue the Value that should be converted
+   * @param defaults the default Values.
+   */
+  template <typename ToType, int index>
+  static ToType getValue(lua_State*& CallValue, const MultiType* const defaults)
+  {
+    return (fromLua<ToType>(CallValue, index+1));
+  }
+  /**
+   * @param state the state to write into
+   * @param value the Value to write there.
+   */
+  template <typename FromType>
+  static void storeRet(lua_State*& state, FromType value)
+  {
+    toLua<FromType>(state, value);
+  }
+  /** @returns the Null Value of a lua_State*, namely (pointer-type) NULL */
+  static lua_State*& defaultValue() { static lua_State* nullState; return nullState; };
+};
+
+#endif /* __EXECUTOR_LUA_STATE_H_ */
Index: /branches/new_class_id/src/lib/script_engine/script_method.h
===================================================================
--- /branches/new_class_id/src/lib/script_engine/script_method.h	(revision 9753)
+++ /branches/new_class_id/src/lib/script_engine/script_method.h	(revision 9754)
@@ -9,5 +9,5 @@
 #include <vector>
 
-#include "executor/executor_lua_state.h"
+#include "executor_lua_state.h"
 #include "executor/executor_member.h"
 
Index: /branches/new_class_id/src/lib/util/Makefile.am
===================================================================
--- /branches/new_class_id/src/lib/util/Makefile.am	(revision 9753)
+++ /branches/new_class_id/src/lib/util/Makefile.am	(revision 9754)
@@ -7,5 +7,4 @@
 
 libORXexecutor_a_SOURCES = \
-		executor/executor_lua_state.cc \
 		executor/executor_substring.cc
 
@@ -45,5 +44,4 @@
 		executor/executor.h \
 		executor/executor_xml.h \
-		executor/executor_lua_state.h \
 		executor/executor_substring.h \
 		executor/executor_generic.h \
Index: anches/new_class_id/src/lib/util/executor/executor_lua_state.cc
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_lua_state.cc	(revision 9753)
+++ 	(revision )
@@ -1,28 +1,0 @@
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: ...
-   co-programmer: ...
-*/
-
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
-
-#include "executor_lua_state.h"
-
-#include "lunar.h"
-
-std::string temp[7];
-
-
-template<typename type> type fromLua(lua_State* state, int index) { type *obj = Lunar<type>::check(state, 1); lua_remove(state, 1); return obj; };
-template<typename type> void toLua(lua_State* state, type value) { Lunar<type>::push(state, value, false); };
-
-template<> const std::string& fromLua<const std::string&>(lua_State* state, int index) { temp[index] = lua_tostring(state, index); return temp[index]; };
Index: anches/new_class_id/src/lib/util/executor/executor_lua_state.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_lua_state.h	(revision 9753)
+++ 	(revision )
@@ -1,105 +1,0 @@
-/*!
- * @file executor_lua_state.h
- * Definition of a Executor that takes lua_State* as input.
- */
-
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-*/
-
-
-
-#ifndef __EXECUTOR_LUA_STATE_H_
-#define __EXECUTOR_LUA_STATE_H_
-
-
-#include "executor_generic.h"
-
-#include "luaincl.h"
-
-#ifdef FUNCTOR_CALL_TYPE
- #undef FUNCTOR_CALL_TYPE
-#endif
-//! Define the Functor call type as lua_State*.
-#define FUNCTOR_CALL_TYPE lua_State*
-
-/**
- * @brief Converts a lua_State into any type.
- * @param state the State to get the value from.
- * @param index the position inside of the lua_State to get the value from.
- * @returns The value if found.
- */
-template<typename type> type fromLua(lua_State* state, int index);
-/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
-template<> inline bool fromLua<bool>(lua_State* state, int index) { return lua_toboolean(state, index); };
-/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
-template<> inline int fromLua<int>(lua_State* state, int index) { return (int)lua_tonumber(state, index); };
-/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
-template<> inline unsigned int fromLua<unsigned int>(lua_State* state, int index) { return (unsigned int)lua_tonumber(state, index); };
-/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
-template<> inline float fromLua<float>(lua_State* state, int index) { return (float)lua_tonumber(state, index); };
-/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
-template<> inline char fromLua<char>(lua_State* state, int index) { return (char)lua_tonumber(state, index); };
-/** @see template<typename type> inline type fromLua(lua_State* state, int index) */
-template<> const std::string& fromLua<const std::string&>(lua_State* state, int index);
-
-
-/**
- * @brief writes a value into a lua_State.
- * @param state the state to write into.
- * @param value the Value of type to write into the State.
- */
-template<typename type> void toLua(lua_State* state, type value);
-/** @see template<typename type> void toLua(lua_State* state, type value) */
-template<> inline void toLua<bool>(lua_State* state, bool value) { lua_pushboolean(state, (int) value); };
-/** @see template<typename type> void toLua(lua_State* state, type value) */
-template<> inline void toLua<int>(lua_State* state, int value)  { lua_pushnumber(state, (lua_Number) value); };
-/** @see template<typename type> void toLua(lua_State* state, type value) */
-template<> inline void toLua<unsigned int>(lua_State* state, unsigned int value){ lua_pushnumber(state, (lua_Number) value); };
-/** @see template<typename type> void toLua(lua_State* state, type value) */
-template<> inline void toLua<float>(lua_State* state, float value) { lua_pushnumber(state, (lua_Number) value); };
-/** @see template<typename type> void toLua(lua_State* state, type value) */
-template<> inline void toLua<char>(lua_State* state, char value) { lua_pushnumber(state, (lua_Number) value); };
-/** @see template<typename type> void toLua(lua_State* state, type value) */
-template<> inline void toLua<const std::string&>(lua_State* state, const std::string& value) { lua_pushstring (state, value.c_str()); }
-
-
-
-//! A Class, that evaluates a lua_State and converts indices into different Types.
-template<> class ExecutorEvaluater <lua_State*>
-{
-public:
-  /** @brief Executes the Evaluater
-   * @param CallValue the Value that should be converted
-   * @param defaults the default Values.
-   */
-  template <typename ToType, int index>
-  static ToType getValue(lua_State*& CallValue, const MultiType* const defaults)
-  {
-    return (fromLua<ToType>(CallValue, index+1));
-  }
-  /**
-   * @param state the state to write into
-   * @param value the Value to write there.
-   */
-  template <typename FromType>
-  static void storeRet(lua_State*& state, FromType value)
-  {
-    toLua<FromType>(state, value);
-  }
-  /** @returns the Null Value of a lua_State*, namely (pointer-type) NULL */
-  static lua_State*& defaultValue() { static lua_State* nullState; return nullState; };
-};
-
-#endif /* __EXECUTOR_LUA_STATE_H_ */