Index: /branches/new_class_id/src/lib/util/multi_type.cc
===================================================================
--- /branches/new_class_id/src/lib/util/multi_type.cc	(revision 9755)
+++ /branches/new_class_id/src/lib/util/multi_type.cc	(revision 9756)
@@ -195,6 +195,4 @@
  *
  * This is a pure Value copy. The current type will be preserved.
- *
- * @TODO speedup
  */
 void MultiType::setValueOf(const MultiType& mt)
@@ -284,5 +282,5 @@
   else if (this->type & MT_STRING) return (this->storedString == "true" ||
                                             this->storedString == "TRUE" ||
-                                            this->storedString != "0"); //! @TODO make this better...
+                                            this->storedString != "0"); // TODO make this better...
 
   return false;
Index: /branches/new_class_id/src/lib/util/multi_type.h
===================================================================
--- /branches/new_class_id/src/lib/util/multi_type.h	(revision 9755)
+++ /branches/new_class_id/src/lib/util/multi_type.h	(revision 9756)
@@ -17,6 +17,6 @@
   MT_BOOL            = 1,                  //!< A bool Value.
   MT_INT             = 2,                  //!< An int Value.
-  MT_UINT            = 2,
-  MT_LONG            = 2,
+  MT_UINT            = 2,                  //!< A insigned int Value.
+  MT_LONG            = 2,                  //!< A long Value
   MT_FLOAT           = 4,                  //!< A float Value.
   MT_CHAR            = 8,                  //!< A single char.
@@ -44,17 +44,29 @@
 
     MultiType& operator=(const MultiType& mt);
+    /** @param value the value to set (here a bool) @returns the MultiType where this the bool is stored */
     MultiType& operator=(bool value) { this->setBool(value); return *this; };
+    /** @param value the value to set (here an int) @returns the MultiType where this the int is stored */
     MultiType& operator=(int value) { this->setInt(value); return *this; };
+    /** @param value the value to set (here an int) @returns the MultiType where this the float is stored */
     MultiType& operator=(float value) { this->setFloat(value); return *this; };
+    /** @param value the value to set (here a char) @returns the MultiType where this the char is stored */
     MultiType& operator=(char value) { this->setChar(value); return *this; };
+    /** @param value the value to set (here a string) @returns the MultiType where this the string is stored */
     MultiType& operator=(const std::string& value) { this->setString(value); return *this; };
 
     bool operator==(const MultiType& mt) const;
+    /** @param value the value to compare this MultiType against @returns true if comparison was io */
     bool operator==(bool value) const { return (this->getBool() == value); };
+    /** @param value the value to compare this MultiType against @returns true if comparison was io */
     bool operator==(int value) const { return (this->getInt() == value); };
+    /** @param value the value to compare this MultiType against @returns true if comparison was io */
     bool operator==(float value) const { return (this->getFloat() ==  value); };
+    /** @param value the value to compare this MultiType against @returns true if comparison was io */
     bool operator==(char value) const { return (this->getChar() == value); };
+    /** @param value the value to compare this MultiType against @returns true if comparison was io */
     bool operator==(const std::string& value) const { return (this->getString() == value); };
+    /** @param type the Type to compare this MultiType against @returns true if the types matched */
     bool operator==(MT_Type type) const { return (this->type == type); }
+    /** @param type the type to compare this MultiType against @returns true if the types do not match */
     bool operator!=(MT_Type type) const { return (this->type != type); }
 
@@ -68,9 +80,15 @@
 
     // for your convenience.
+    /** @param value the value to set. Here a bool */
     inline void setValue(bool value) { this->setBool(value); };
+    /** @param value the value to set. Here an int */
     inline void setValue(int value) { this->setInt(value); };
+    /** @param value the value to set. Here a float */
     inline void setValue(float value) { this->setFloat(value); };
+    /** @param value the value to set. Here a char */
     inline void setValue(char value) { this->setChar(value); };
+    /** @param value the value to set. Here a char array (string) */
     inline void setValue(const char* value) { this->setString(value); };
+    /** @param value the value to set. Here a string */
     inline void setValue(const std::string& value) { this->setString(value); };
     void setValueOf(const MultiType& mt);
Index: /branches/new_class_id/src/lib/util/substring.cc
===================================================================
--- /branches/new_class_id/src/lib/util/substring.cc	(revision 9755)
+++ /branches/new_class_id/src/lib/util/substring.cc	(revision 9756)
@@ -51,4 +51,5 @@
  * @param delimiters multiple set of characters at what to split. (delimiters)
  * @param delimiterNeighbours neighbours of the delimiters, that will be erased only when near a delimiter.
+ * @param emptyEntries If empty entries should be allewed or removed.
  * @param escapeChar The Escape Character that overrides splitters commends and so on...
  * @param safemode_char within these characters splitting won't happen
@@ -147,4 +148,5 @@
  * @brief comparator.
  * @param subString the SubString to compare against this one.
+ * @param length how many entries to compare. (from 0 to length)
  * @returns true if the Stored Strings match
  */
@@ -275,9 +277,8 @@
  * @brief splits line into tokens and stores them in ret.
  * @param ret the Array, where the Splitted strings will be stored in
- * @param offsets an Array of Offsets, here the distance from the inputstring
  * to the beginning of the current token is stored
  * @param line the inputLine to split
  * @param delimiters a String of Delimiters (here the input will be splitted)
- * @param delimiterNeighbour Naighbours to the Delimitter, that will be removed if they are to the left or the right of a Delimiter.
+ * @param delimiterNeighbours Naighbours to the Delimitter, that will be removed if they are to the left or the right of a Delimiter.
  * @param emptyEntries: if empty Strings are added to the List of Strings.
  * @param escape_char: Escape carater (escapes splitters)
Index: /branches/new_class_id/src/lib/util/substring.h
===================================================================
--- /branches/new_class_id/src/lib/util/substring.h	(revision 9755)
+++ /branches/new_class_id/src/lib/util/substring.h	(revision 9756)
@@ -33,10 +33,11 @@
 {
 public:
+  //! An enumerator for the State the Parser is in
   typedef enum {
-    SL_NORMAL,
-    SL_ESCAPE,
-    SL_SAFEMODE,
-    SL_SAFEESCAPE,
-    SL_COMMENT,
+    SL_NORMAL,            //!< Normal state
+    SL_ESCAPE,            //!< After an escape character
+    SL_SAFEMODE,          //!< In safe mode (between "" mostly).
+    SL_SAFEESCAPE,        //!< In safe mode with the internal escape character, that escapes even the savemode character.
+    SL_COMMENT,           //!< In Comment mode.
   } SPLIT_LINE_STATE;
 
@@ -48,6 +49,6 @@
             const std::string& delimiters, const std::string& delimiterNeighbours = "", bool emptyEntries=false,
             char escapeChar ='\\', char safemode_char = '"', char comment_char = '\0');
+  SubString(unsigned int argc, const char** argv);
   /** @brief create a Substring as a copy of another one. @param subString the SubString to copy. */
-  SubString(unsigned int argc, const char** argv);
   SubString(const SubString& subString) { *this = subString; };
   SubString(const SubString& subString, unsigned int subSetBegin);