Index: /branches/new_class_id/src/lib/coord/p_node.cc
===================================================================
--- /branches/new_class_id/src/lib/coord/p_node.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/coord/p_node.cc	(revision 9757)
@@ -78,5 +78,5 @@
 PNode::~PNode ()
 {
-  PRINTF(0)("delete %s::%s\n", this->getClassCName(), this->getCName());
+  PRINTF(4)("delete %s::%s\n", this->getClassCName(), this->getCName());
   this->debugNode(0);
   // remove the Node, delete it's children (if required).
Index: /branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc	(revision 9757)
@@ -49,5 +49,5 @@
 
 
-CREATE_SCRIPTABLE_CLASS(CloudEffect, CloudEffect::classID(),
+CREATE_SCRIPTABLE_CLASS(CloudEffect,
                         addMethod("skyColor", Executor4<CloudEffect, lua_State*,float,float,float,float>(&CloudEffect::shellSkyColor))
                         ->addMethod("cloudColor", Executor4<CloudEffect, lua_State*,float,float,float,float>(&CloudEffect::shellCloudColor))
Index: /branches/new_class_id/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/effects/fog_effect.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/graphics/effects/fog_effect.cc	(revision 9757)
@@ -32,5 +32,5 @@
 #include "class_id_DEPRECATED.h"
 
-CREATE_SCRIPTABLE_CLASS(FogEffect, FogEffect::classID(),
+CREATE_SCRIPTABLE_CLASS(FogEffect,
                         addMethod("fadeIn", Executor0<FogEffect, lua_State*>(&FogEffect::fadeInFog))
                             ->addMethod("fadeOut", Executor0<FogEffect, lua_State*>(&FogEffect::fadeOutFog))
Index: /branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc	(revision 9757)
@@ -35,5 +35,5 @@
 SHELL_COMMAND(deactivate, LightningEffect, deactivateLightning);
 
-CREATE_SCRIPTABLE_CLASS(LightningEffect, LightningEffect::classID(),
+CREATE_SCRIPTABLE_CLASS(LightningEffect,
                         addMethod("activate", Executor0<LightningEffect, lua_State*>(&LightningEffect::activate))
                             ->addMethod("deactivate", Executor0<LightningEffect, lua_State*>(&LightningEffect::deactivate))
Index: /branches/new_class_id/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/effects/rain_effect.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/graphics/effects/rain_effect.cc	(revision 9757)
@@ -44,5 +44,5 @@
 
 
-CREATE_SCRIPTABLE_CLASS(RainEffect, RainEffect::classID(),
+CREATE_SCRIPTABLE_CLASS(RainEffect,
                         addMethod("startRaining", Executor0<RainEffect, lua_State*>(&RainEffect::startRaining))
                             ->addMethod("stopRaining", Executor0<RainEffect, lua_State*>(&RainEffect::stopRaining))
Index: /branches/new_class_id/src/lib/graphics/effects/snow_effect.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/effects/snow_effect.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/graphics/effects/snow_effect.cc	(revision 9757)
@@ -37,5 +37,5 @@
 
 
-CREATE_SCRIPTABLE_CLASS(SnowEffect, SnowEffect::classID(),
+CREATE_SCRIPTABLE_CLASS(SnowEffect,
                             addMethod("activate", Executor0<SnowEffect, lua_State*>(&SnowEffect::activate))
                             ->addMethod("deactivate", Executor0<SnowEffect, lua_State*>(&SnowEffect::deactivate))
Index: /branches/new_class_id/src/lib/gui/gl/glgui_box.cc
===================================================================
--- /branches/new_class_id/src/lib/gui/gl/glgui_box.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/gui/gl/glgui_box.cc	(revision 9757)
@@ -150,5 +150,5 @@
     while (itC != this->_children.end())
     {
-      if ((*itC)->isA(GLGuiContainer::classID()))
+      if ((*itC)->isA(GLGuiContainer::staticClassID()))
         static_cast<GLGuiContainer*>(*itC)->showAll();
       else
@@ -165,5 +165,5 @@
     while (itC != this->_children.end())
     {
-      if ((*itC)->isA(GLGuiContainer::classID()))
+      if ((*itC)->isA(GLGuiContainer::staticClassID()))
         static_cast<GLGuiContainer*>(*itC)->hideAll();
       else
Index: /branches/new_class_id/src/lib/gui/gl/glgui_frame.cc
===================================================================
--- /branches/new_class_id/src/lib/gui/gl/glgui_frame.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/gui/gl/glgui_frame.cc	(revision 9757)
@@ -71,5 +71,5 @@
     if (this->child != NULL)
     {
-      if (this->child->isA(GLGuiContainer::classID()))
+      if (this->child->isA(GLGuiContainer::staticClassID()))
         static_cast<GLGuiContainer*>(this->child)->showAll();
       else
@@ -83,5 +83,5 @@
     if (this->child != NULL)
     {
-      if (this->child->isA(GLGuiContainer::classID()))
+      if (this->child->isA(GLGuiContainer::staticClassID()))
         static_cast<GLGuiContainer*>(this->child)->hideAll();
       else
Index: /branches/new_class_id/src/lib/lang/class_id.h
===================================================================
--- /branches/new_class_id/src/lib/lang/class_id.h	(revision 9756)
+++ /branches/new_class_id/src/lib/lang/class_id.h	(revision 9757)
@@ -61,5 +61,5 @@
 public:
   /** @returns the NullClass' ID. */
-  static const ClassID& classID() { return NullClass::_classID; }
+  static const ClassID& staticClassID() { return NullClass::_classID; }
   /** @param id the ID to acquire @param name the name to acquire @brief acquires the ID of this Class */
   static void acquireID(const int*& id, const std::string*& name) { id = &_nullID; name = &_nullName; };
@@ -69,5 +69,5 @@
 
 private:
-  static ClassID         _classID;      //!< The NullClass' ID
+  static ClassID            _classID;      //!< The NullClass' ID
   static const std::string  _nullName;     //!< The NullClass' Name ("NullClass")
   static int                _nullID;       //!< The NullClass' ID
Index: /branches/new_class_id/src/lib/lang/object_list.cc
===================================================================
--- /branches/new_class_id/src/lib/lang/object_list.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/lang/object_list.cc	(revision 9757)
@@ -125,5 +125,5 @@
     return base->_identity;
   else
-    return NullClass::classID();
+    return NullClass::staticClassID();
 }
 
@@ -141,5 +141,5 @@
     return base->_identity;
   else
-    return NullClass::classID();
+    return NullClass::staticClassID();
 }
 
Index: /branches/new_class_id/src/lib/lang/object_list.h
===================================================================
--- /branches/new_class_id/src/lib/lang/object_list.h	(revision 9756)
+++ /branches/new_class_id/src/lib/lang/object_list.h	(revision 9757)
@@ -25,5 +25,5 @@
   public: \
    static inline const ObjectList<ClassName>& objectList() { return ClassName::_objectList; }; \
-   static inline const ClassID& classID() { return ClassName::_objectList.identity(); }; \
+   static inline const ClassID& staticClassID() { return ClassName::_objectList.identity(); }; \
   private: \
    static ObjectList<ClassName> _objectList
Index: /branches/new_class_id/src/lib/network/network_game_manager.cc
===================================================================
--- /branches/new_class_id/src/lib/network/network_game_manager.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/network/network_game_manager.cc	(revision 9757)
@@ -92,5 +92,5 @@
   assert( SharedNetworkData::getInstance()->isMasterServer());
   assert( State::getGameRules() );
-  assert( State::getGameRules()->isA( NetworkGameRules::classID()) );
+  assert( State::getGameRules()->isA( NetworkGameRules::staticClassID()) );
 
   NetworkGameRules & rules = *(dynamic_cast<NetworkGameRules*>(State::getGameRules()));
@@ -105,5 +105,5 @@
 
   assert( bo != NULL );
-  assert( bo->isA( Playable::classID()) );
+  assert( bo->isA( Playable::staticClassID()) );
 
   Playable & playable = *(dynamic_cast<Playable*>(bo));
@@ -130,5 +130,5 @@
     stats->setNickName( Preferences::getInstance()->getString( "multiplayer", "nickname", "Server" ) );
 
-  if ( rules.isA( MultiplayerTeamDeathmatch::classID()) )
+  if ( rules.isA( MultiplayerTeamDeathmatch::staticClassID()) )
     dynamic_cast<MultiplayerTeamDeathmatch*>(&rules)->respawnPlayable( &playable, team, 0.0f );
 
@@ -192,5 +192,5 @@
     if ( (*it)->getUniqueID() == uniqueId )
     {
-      if ( (*it)->isA(Playable::classID()) )
+      if ( (*it)->isA(Playable::staticClassID()) )
       {
         getInstance()->playablesToDelete.push_back( dynamic_cast<Playable*>(*it) );
@@ -321,5 +321,5 @@
 
   assert( State::getGameRules() );
-  assert( State::getGameRules()->isA( NetworkGameRules::classID()) );
+  assert( State::getGameRules()->isA( NetworkGameRules::staticClassID()) );
 
   NetworkGameRules & rules = *(dynamic_cast<NetworkGameRules*>(State::getGameRules()));
Index: /branches/new_class_id/src/lib/network/network_stream.cc
===================================================================
--- /branches/new_class_id/src/lib/network/network_stream.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/network/network_stream.cc	(revision 9757)
@@ -967,5 +967,5 @@
 
       // if handshake not finished only sync handshake
-      if ( peer->second.handshake && Handshake::classID() != sync.getLeafClassID())
+      if ( peer->second.handshake && Handshake::staticClassID() != sync.getLeafClassID())
         continue;
 
@@ -973,10 +973,10 @@
       if ( ( SharedNetworkData::getInstance()->isMasterServer() ||
              SharedNetworkData::getInstance()->isProxyServerActive() &&  peer->second.isClient())
-	     && Handshake::classID() == sync.getLeafClassID() && sync.getUniqueID() != peer->second.userId )
+	     && Handshake::staticClassID() == sync.getLeafClassID() && sync.getUniqueID() != peer->second.userId )
         continue;
 
       /* list of synchronizeables that will never be synchronized over the network: */
       // do not sync null parent
-      if ( NullParent::classID() == sync.getLeafClassID())
+      if ( NullParent::staticClassID() == sync.getLeafClassID())
         continue;
 
@@ -1187,5 +1187,5 @@
           /* These are some small exeptions in creation: Not all objects can/should be created via Factory */
           /* Exception 1: NullParent */
-	  if( NullParent::classID() == leafClassId || Synchronizeable::classID() == leafClassId || NetworkGameManager::classID() == leafClassId)
+	  if( NullParent::staticClassID() == leafClassId || Synchronizeable::staticClassID() == leafClassId || NetworkGameManager::staticClassID() == leafClassId)
           {
             PRINTF(1)("Don't create Object with ID %x, ignored!\n", (int)leafClassId);
@@ -1203,5 +1203,5 @@
           }
 
-	  if ( b->isA(Synchronizeable::classID()) )
+	  if ( b->isA(Synchronizeable::staticClassID()) )
           {
             sync = dynamic_cast<Synchronizeable*>(b);
Index: /branches/new_class_id/src/lib/network/synchronizeable.cc
===================================================================
--- /branches/new_class_id/src/lib/network/synchronizeable.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/network/synchronizeable.cc	(revision 9757)
@@ -75,5 +75,5 @@
     // remove the message manager only by the server
     if ( (SharedNetworkData::getInstance()->isMasterServer() )
-	  && this->beSynchronized() && this->getUniqueID() > 0 && !this->isA( MessageManager::classID() ) )
+	  && this->beSynchronized() && this->getUniqueID() > 0 && !this->isA( MessageManager::staticClassID() ) )
       NetworkGameManager::getInstance()->removeSynchronizeable( this->getUniqueID() );
   }
Index: /branches/new_class_id/src/lib/particles/particle_system.cc
===================================================================
--- /branches/new_class_id/src/lib/particles/particle_system.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/particles/particle_system.cc	(revision 9757)
@@ -134,5 +134,5 @@
     if (emitter != NULL)
     {
-      if (emitter->isA(ParticleEmitter::classID()))
+      if (emitter->isA(ParticleEmitter::staticClassID()))
         this->addEmitter(dynamic_cast<ParticleEmitter*>(emitter));
       else
Index: /branches/new_class_id/src/lib/script_engine/script.cc
===================================================================
--- /branches/new_class_id/src/lib/script_engine/script.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/script_engine/script.cc	(revision 9757)
@@ -25,5 +25,5 @@
 ObjectListDefinition(Script);
 
-CREATE_SCRIPTABLE_CLASS(Script, Script::classID(),
+CREATE_SCRIPTABLE_CLASS(Script,
                     addMethod("addObject", Executor2<Script, lua_State*,const std::string&, const std::string& >(&Script::addObject))
                     ->addMethod("registerClass", Executor1<Script, lua_State*,const std::string&>(&Script::registerClass))
Index: /branches/new_class_id/src/lib/script_engine/script_class.h
===================================================================
--- /branches/new_class_id/src/lib/script_engine/script_class.h	(revision 9756)
+++ /branches/new_class_id/src/lib/script_engine/script_class.h	(revision 9757)
@@ -18,6 +18,6 @@
  * this should be used at the beginning of all the Classes that should be loadable (in the cc-file)
  */
-#define CREATE_SCRIPTABLE_CLASS(CLASS_NAME, CLASS_ID, SCRIPT_METHODS) \
-    tScriptClass<CLASS_NAME> global_##CLASS_NAME##_ScriptableClass(#CLASS_NAME, CLASS_ID, (new ScriptMethod)->SCRIPT_METHODS)
+#define CREATE_SCRIPTABLE_CLASS(CLASS_NAME, SCRIPT_METHODS) \
+    tScriptClass<CLASS_NAME> global_##CLASS_NAME##_ScriptableClass(#CLASS_NAME, CLASS_NAME::staticClassID(), (new ScriptMethod)->SCRIPT_METHODS)
 
 
Index: /branches/new_class_id/src/lib/shell/shell_completion.cc
===================================================================
--- /branches/new_class_id/src/lib/shell/shell_completion.cc	(revision 9756)
+++ /branches/new_class_id/src/lib/shell/shell_completion.cc	(revision 9757)
@@ -87,5 +87,5 @@
       if (objectList != NULL)
         classID = objectList->identity();
-      if (classID != NullClass::classID())
+      if (classID != NullClass::staticClassID())
         completeType |= ObjectCompletion;
       completeType |= FunctionCompletion;
Index: /branches/new_class_id/src/lib/util/loading/factory.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/factory.h	(revision 9756)
+++ /branches/new_class_id/src/lib/util/loading/factory.h	(revision 9757)
@@ -34,5 +34,5 @@
  */
 #define CREATE_FACTORY(CLASS_NAME) \
-    tFactory<CLASS_NAME>* global_##CLASS_NAME##_Factory = new tFactory<CLASS_NAME>(CLASS_NAME::classID())
+    tFactory<CLASS_NAME>* global_##CLASS_NAME##_Factory = new tFactory<CLASS_NAME>(CLASS_NAME::staticClassID())
 
 //! The Factory is a loadable object handler
Index: /branches/new_class_id/src/lib/util/loading/fast_factory.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/fast_factory.h	(revision 9756)
+++ /branches/new_class_id/src/lib/util/loading/fast_factory.h	(revision 9757)
@@ -39,5 +39,5 @@
  */
 #define CREATE_FAST_FACTORY_STATIC(CLASS_NAME) \
-  FastFactory* CLASS_NAME::fastFactory = tFastFactory<CLASS_NAME>::getFastFactory(CLASS_NAME::classID(), #CLASS_NAME)
+  FastFactory* CLASS_NAME::fastFactory = tFastFactory<CLASS_NAME>::getFastFactory(CLASS_NAME::staticClassID(), #CLASS_NAME)
 
 //! A struct, that holds Lists of Objects of a certain type.
Index: /branches/new_class_id/src/story_entities/game_world.cc
===================================================================
--- /branches/new_class_id/src/story_entities/game_world.cc	(revision 9756)
+++ /branches/new_class_id/src/story_entities/game_world.cc	(revision 9757)
@@ -63,5 +63,5 @@
 #include "script_class.h"
 ObjectListDefinition(GameWorld);
-CREATE_SCRIPTABLE_CLASS(GameWorld, GameWorld::classID(),
+CREATE_SCRIPTABLE_CLASS(GameWorld,
 			addMethod("setPlaymode", Executor1<GameWorld, lua_State*,const std::string&>(&GameWorld::setPlaymode))
                         ->addMethod("setSoundtrack", Executor1<GameWorld, lua_State*, const std::string&>(&GameWorld::setSoundtrack))
Index: /branches/new_class_id/src/story_entities/game_world_data.cc
===================================================================
--- /branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9756)
+++ /branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9757)
@@ -213,10 +213,10 @@
 
       //todo do this more elegant
-      if( element->Value() == "SkyBox" && created->isA(SkyBox::classID()))
+      if( element->Value() == "SkyBox" && created->isA(SkyBox::staticClassID()))
       {
         this->sky = dynamic_cast<WorldEntity*>(created);
         State::setSkyBox(dynamic_cast<SkyBox*>(this->sky));
       }
-      if( element->Value() == "Terrain" && created->isA(Terrain::classID()))
+      if( element->Value() == "Terrain" && created->isA(Terrain::staticClassID()))
       {
         this->terrain = dynamic_cast<Terrain*>(created);
@@ -398,5 +398,5 @@
     PRINTF(2)("creating %s\n", element->Value());
     BaseObject* created = Factory::fabricate(element);
-    if (created != NULL && created->isA(GameRules::classID()))
+    if (created != NULL && created->isA(GameRules::staticClassID()))
     {
       this->gameRule = dynamic_cast<GameRules*>(created);
Index: /branches/new_class_id/src/world_entities/creatures/fps_player.cc
===================================================================
--- /branches/new_class_id/src/world_entities/creatures/fps_player.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/creatures/fps_player.cc	(revision 9757)
@@ -46,5 +46,5 @@
 
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(FPSPlayer, FPSPlayer::classID(),
+CREATE_SCRIPTABLE_CLASS(FPSPlayer,
 			addMethod("setAbsCoor", Executor3<PNode, lua_State*,float,float,float>(&PNode::setAbsCoor))
 			    ->addMethod("getAbsCoorX", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorX))
@@ -167,5 +167,5 @@
 
     //subscribe to collision reaction
-  this->subscribeReaction(CREngine::CR_PHYSICS_FULL_WALK, BspEntity::classID());
+  this->subscribeReaction(CREngine::CR_PHYSICS_FULL_WALK, BspEntity::staticClassID());
 
   this->initWeapon = false;
Index: /branches/new_class_id/src/world_entities/environments/mapped_water.cc
===================================================================
--- /branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9757)
@@ -32,5 +32,5 @@
 SHELL_COMMAND(output, MappedWater, saveParams);
 
-CREATE_SCRIPTABLE_CLASS(MappedWater, MappedWater::classID(),
+CREATE_SCRIPTABLE_CLASS(MappedWater,
                         addMethod("waterUV", Executor2<MappedWater, lua_State*, float, float>(&MappedWater::fadeWaterUV))
                         ->addMethod("waterFlow", Executor2<MappedWater, lua_State*, float, float>(&MappedWater::fadeWaterFlow))
Index: /branches/new_class_id/src/world_entities/npcs/attractor_mine.cc
===================================================================
--- /branches/new_class_id/src/world_entities/npcs/attractor_mine.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/npcs/attractor_mine.cc	(revision 9757)
@@ -37,5 +37,5 @@
 CREATE_FACTORY(AttractorMine);
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(AttractorMine, AttractorMine::classID(),
+CREATE_SCRIPTABLE_CLASS(AttractorMine,
                         addMethod("setName", Executor1<BaseObject, lua_State*,const std::string&>(&BaseObject::setName))
                         //Coordinates
Index: /branches/new_class_id/src/world_entities/npcs/gate.cc
===================================================================
--- /branches/new_class_id/src/world_entities/npcs/gate.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/npcs/gate.cc	(revision 9757)
@@ -37,5 +37,5 @@
 
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(Gate, Gate::classID(),
+CREATE_SCRIPTABLE_CLASS(Gate,
 			addMethod("hide", Executor0<WorldEntity, lua_State*>(&WorldEntity::hide))
 			    ->addMethod("unhide", Executor0<WorldEntity, lua_State*>(&WorldEntity::unhide))
Index: /branches/new_class_id/src/world_entities/npcs/generic_npc.cc
===================================================================
--- /branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9757)
@@ -37,5 +37,5 @@
 
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(GenericNPC, GenericNPC::classID(),
+CREATE_SCRIPTABLE_CLASS(GenericNPC,
                         // Move
                         addMethod("walkTo", Executor3<GenericNPC, lua_State*,float,float,float>(&GenericNPC::walkTo))
@@ -95,5 +95,5 @@
 
   // collision reaction registration
-  this->subscribeReaction(CREngine::CR_PHYSICS_GROUND_WALK, BspEntity::classID());
+  this->subscribeReaction(CREngine::CR_PHYSICS_GROUND_WALK, BspEntity::staticClassID());
 }
 
Index: /branches/new_class_id/src/world_entities/playable.cc
===================================================================
--- /branches/new_class_id/src/world_entities/playable.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/playable.cc	(revision 9757)
@@ -110,9 +110,9 @@
 {
   /// FIXME TOTALLY
-  if(powerUp->isA(WeaponPowerUp::classID()))
+  if(powerUp->isA(WeaponPowerUp::staticClassID()))
   {
     return static_cast<WeaponPowerUp*>(powerUp)->process(&this->getWeaponManager());
   }
-  else if(powerUp->isA(ParamPowerUp::classID()))
+  else if(powerUp->isA(ParamPowerUp::staticClassID()))
   {
     ParamPowerUp* ppu = static_cast<ParamPowerUp*>(powerUp);
Index: /branches/new_class_id/src/world_entities/power_ups/power_up.cc
===================================================================
--- /branches/new_class_id/src/world_entities/power_ups/power_up.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/power_ups/power_up.cc	(revision 9757)
@@ -122,5 +122,5 @@
 void PowerUp::collidesWith (WorldEntity* entity, const Vector& location)
 {
-  if(this->collider != entity && entity->isA(Extendable::classID()))
+  if(this->collider != entity && entity->isA(Extendable::staticClassID()))
   {
     this->collider = entity;
Index: /branches/new_class_id/src/world_entities/script_trigger.cc
===================================================================
--- /branches/new_class_id/src/world_entities/script_trigger.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/script_trigger.cc	(revision 9757)
@@ -22,5 +22,5 @@
 ObjectListDefinition(ScriptTrigger);
 
-CREATE_SCRIPTABLE_CLASS(ScriptTrigger, ScriptTrigger::classID(),
+CREATE_SCRIPTABLE_CLASS(ScriptTrigger,
             // Coordinates
 			addMethod("setAbsCoor", Executor3<PNode, lua_State*,float,float,float>(&PNode::setAbsCoor))
Index: /branches/new_class_id/src/world_entities/space_ships/helicopter.cc
===================================================================
--- /branches/new_class_id/src/world_entities/space_ships/helicopter.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/space_ships/helicopter.cc	(revision 9757)
@@ -38,5 +38,5 @@
 CREATE_FACTORY(Helicopter);
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(Helicopter, Helicopter::classID(),
+CREATE_SCRIPTABLE_CLASS(Helicopter,
 			addMethod("moveUp", Executor1<Helicopter, lua_State*,bool>(&Helicopter::moveUp))
 			    ->addMethod("moveDown", Executor1<Helicopter, lua_State*,bool>(&Helicopter::moveDown))
Index: /branches/new_class_id/src/world_entities/space_ships/hover.cc
===================================================================
--- /branches/new_class_id/src/world_entities/space_ships/hover.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/space_ships/hover.cc	(revision 9757)
@@ -39,5 +39,5 @@
 
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(Hover, Hover::classID(),
+CREATE_SCRIPTABLE_CLASS(Hover,
 			addMethod("hasPlayer", Executor0ret<Playable, lua_State*,bool>(&Playable::hasPlayer))
                         //Coordinates
Index: /branches/new_class_id/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/new_class_id/src/world_entities/space_ships/space_ship.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/space_ships/space_ship.cc	(revision 9757)
@@ -58,5 +58,5 @@
 
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(SpaceShip, SpaceShip::classID(),
+CREATE_SCRIPTABLE_CLASS(SpaceShip,
                         addMethod("hasPlayer", Executor0ret<Playable, lua_State*,bool>(&Playable::hasPlayer))
                         ->addMethod("fire", Executor1<Playable, lua_State*, bool>(&Playable::fire))
Index: /branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- /branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9757)
@@ -42,5 +42,5 @@
 CREATE_FACTORY(Spacecraft2D);
 
-CREATE_SCRIPTABLE_CLASS(Spacecraft2D, Spacecraft2D::classID(),
+CREATE_SCRIPTABLE_CLASS(Spacecraft2D,
 			addMethod("hasPlayer", Executor0ret<Playable, lua_State*,bool>(&Playable::hasPlayer))
                         //Coordinates
Index: /branches/new_class_id/src/world_entities/test_entity.cc
===================================================================
--- /branches/new_class_id/src/world_entities/test_entity.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/test_entity.cc	(revision 9757)
@@ -40,5 +40,5 @@
 
 #include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(TestEntity, TestEntity::classID(),
+CREATE_SCRIPTABLE_CLASS(TestEntity,
                         addMethod("setAbsCoor", Executor3<PNode, lua_State*,float,float,float>(&PNode::setAbsCoor))
                         ->addMethod("getAbsCoorX", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorX))
Index: /branches/new_class_id/src/world_entities/weapons/aiming_system.cc
===================================================================
--- /branches/new_class_id/src/world_entities/weapons/aiming_system.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/weapons/aiming_system.cc	(revision 9757)
@@ -62,5 +62,5 @@
   // registering default reactions:
   this->unsubscribeReaction(CREngine::CR_OBJECT_DAMAGE);
-  this->subscribeReaction(CREngine::CR_OBJECT_DAMAGE, WorldEntity::classID());
+  this->subscribeReaction(CREngine::CR_OBJECT_DAMAGE, WorldEntity::staticClassID());
 
   this->range = 1000.0f;
Index: /branches/new_class_id/src/world_entities/weapons/weapon.cc
===================================================================
--- /branches/new_class_id/src/world_entities/weapons/weapon.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/weapons/weapon.cc	(revision 9757)
@@ -77,5 +77,5 @@
   if (createdObject != NULL)
   {
-    if (createdObject->isA(Weapon::classID()))
+    if (createdObject->isA(Weapon::staticClassID()))
       return dynamic_cast<Weapon*>(createdObject);
     else
@@ -93,5 +93,5 @@
   if (createdObject != NULL)
   {
-    if (createdObject->isA(Weapon::classID()))
+    if (createdObject->isA(Weapon::staticClassID()))
       return dynamic_cast<Weapon*>(createdObject);
     else
@@ -131,5 +131,5 @@
   this->defaultTarget = NULL;                      //< Nothing is Targeted by default.
 
-  this->projectile = NullClass::classID();         //< No Projectile Class is Connected to this weapon
+  this->projectile = NullClass::staticClassID();         //< No Projectile Class is Connected to this weapon
   this->projectileFactory = NULL;                  //< No Factory generating Projectiles is selected.
 
Index: /branches/new_class_id/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9756)
+++ /branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9757)
@@ -298,5 +298,5 @@
   {
     this->parentNode->addChild(weapon);
-    if (this->parentEntity->isA(Playable::classID()))
+    if (this->parentEntity->isA(Playable::staticClassID()))
       dynamic_cast<Playable*>(this->parentEntity)->weaponConfigChanged();
     weapon->setDefaultTarget(this->crosshair);
@@ -468,5 +468,5 @@
       else
         this->currentSlotConfig[i].position.deactivateNode();
-      if (this->parentEntity != NULL && this->parentEntity->isA(Playable::classID()))
+      if (this->parentEntity != NULL && this->parentEntity->isA(Playable::staticClassID()))
         dynamic_cast<Playable*>(this->parentEntity)->weaponConfigChanged();
     }