Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9757)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9758)
@@ -81,5 +81,5 @@
     <!-- Drone pickup -->
     
-    <PickupSpawner pickup=dronepickup position="50,0,0" triggerDistance="10" respawnTime="0" maxSpawnedItems="2" />
+    <PickupSpawner pickup=dronepickup position="9750, -5350, 5650" triggerDistance="20" respawnTime="30" maxSpawnedItems="2" />
 
 <!-- QUEST DESCRIPTION-->
@@ -113,9 +113,10 @@
 	<LocalQuest id="spacefight.upgrade1">
 		<QuestDescription
-			title="Prepare for the fight."
+			title="Prepare for the fight (optional)"
 			description="Your friends has an arsenal left behind near by your position.
-				perhaps you find something useful there..."
+				perhaps you find something useful there...
+				Hint: look for a big asteroid."
 			failMessage="You've lost all your ships!"
-			completeMessage="Your ship is prepared best for the second and last guard on the way to the mainship." />
+			completeMessage="" />
 	</LocalQuest>
 
@@ -211,5 +212,5 @@
 	</QuestEffectBeacon>
 
-	<!-- guard 1 -->
+	<!-- Guard 1 -->
 	<QuestEffectBeacon times=0>
 		<effects>
@@ -236,6 +237,18 @@
 		</attached>
 	</QuestEffectBeacon>
+
+	<!-- Drone (optional) -->
+	<QuestEffectBeacon times=0>
+		<effects>
+			<CompleteQuest questId="spacefight.upgrade1" />
+		</effects>
+		<events>
+			<execute>
+				<EventListener event="drone" />
+			</execute>
+		</events>
+	</QuestEffectBeacon>
 	
-	<!-- guard 2 -->
+	<!-- Guard 2 -->
 	<QuestEffectBeacon times=0>
 		<effects>
@@ -252,4 +265,5 @@
 		<effects>
 			<CompleteQuest questId="spacefight.guard2" />
+			<CompleteQuest questId="spacefight.upgrade1" />
 		</effects>
 		<events>
@@ -269,5 +283,5 @@
 
   <DistanceTrigger name="flying2" position="13500, 2500, 10500" target="SpaceShip" distance=7000 stayActive="true" delay=0 />
-  <SimpleNotification message="guard 2 in Sicht!"  broadcast="true">
+  <SimpleNotification message="search the drone!?"  broadcast="true">
       <events>
           <trigger>
@@ -282,4 +296,26 @@
           <trigger>
               <EventListener event="flying3" />
+          </trigger>
+      </events>
+  </SimpleNotification>
+
+<!-- Helper-Trigger for the drone(s) -->
+  <DistanceTrigger name="drone2" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=30 >
+    <DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0.1 />
+  </DistanceTrigger>
+
+  <SimpleNotification message="Your ship is prepared best for the second and last guard on the way to the mainship.
+				Now attack the second guard!"  broadcast="true">
+      <events>
+          <trigger>
+              <EventListener event="drone1" />
+          </trigger>
+      </events>
+  </SimpleNotification>
+
+  <SimpleNotification message="Your ship is prepared best for the final fight at the mainship."  broadcast="true">
+      <events>
+          <trigger>
+              <EventListener event="drone2" />
           </trigger>
       </events>
@@ -638,21 +674,29 @@
     <SpawnPoint team=0 position="0,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow />
     
- <!-- triple large belt around the planet  -->
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
-    ?>
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 10000, 11000, 300, 1)
-    ?>
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
-    ?>
+<!-- ASTEROIDS & ASTEROID-FIELDS -->
+
+<!-- Asteroids -->
+
+      <Model position="9800, -5000, 5700" yaw="90" pitch="-90" roll="0" scale="300" mesh="asteroid_ice.mesh" />
+
+<!-- triple large belt around the planet  -->
+	<?lua
+		dofile("includes/asteroidField.lua")
+		asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
+	?>
+
+	<?lua
+		dofile("includes/asteroidField.lua")
+		asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 10000, 11000, 300, 1)
+	?>
+
+	<?lua
+		dofile("includes/asteroidField.lua")
+		asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
+	?>
 
 <!-- other asteroid fileds -->
 
-	<!-- links vor guard 1 -->	
+	<!-- left before guard 1 -->	
 	<?lua
 		dofile("includes/asteroidField.lua")
@@ -660,5 +704,5 @@
 	?>
 
-	<!-- links hinter guard 1 -->
+	<!-- left behind guard 1 -->
 	<?lua
 		dofile("includes/asteroidField.lua")
@@ -666,6 +710,6 @@
 	?>
 
-	<!-- zwischen guard 2 & mainship -->
-	<!-- Kern -->	
+	<!-- between guard 2 & mainship -->
+	<!-- Core -->	
 	<?lua
 		dofile("includes/asteroidField.lua")
@@ -684,10 +728,16 @@
     	?>
 
-
-  <Planet position="2000,-250,9000" scale=5000 pitch=1 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="0.5" atmospheresize=224.0f imagesize=1024.0f />
-
-<!--
-<Model position="1000,  0,40" yaw="90" pitch="-90" roll="5" scale="50" mesh="ast1.mesh" />
--->  
+<!-- PLANETS -->
+
+  <Planet 	position="2000,-250,9000" 
+		scale=5000 
+		pitch=1 
+		mesh="iceplanet.mesh" 
+		atmosphere="atmosphere1" 
+		rotationaxis="1,1,0" 
+		rotationrate="0.5" 
+		atmospheresize=224.0f 
+		imagesize=1024.0f />
+
 
 <!-- ----------------Rotating SpaceStation--------------- -->
@@ -710,4 +760,5 @@
 
 <!-- ------------------------- Mainship ------------------ -->
+
 <StaticEntity position="-12000, -22000, 25000" yaw=112 pitch=67>
 	<attached>