Index: branches/new_class_id/src/lib/graphics/Makefile.am
===================================================================
--- branches/new_class_id/src/lib/graphics/Makefile.am	(revision 9760)
+++ branches/new_class_id/src/lib/graphics/Makefile.am	(revision 9761)
@@ -6,4 +6,5 @@
 libORXgraphics_a_SOURCES = \
 		graphics_engine.cc \
+		graphics_effect.cc \
 		light.cc \
 		shader.cc \
@@ -22,4 +23,5 @@
 noinst_HEADERS =\
  		graphics_engine.h \
+ 		graphics_effect.h \
 		light.h \
 		shader.h \
Index: branches/new_class_id/src/lib/graphics/graphics_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/graphics_effect.cc	(revision 9761)
+++ branches/new_class_id/src/lib/graphics/graphics_effect.cc	(revision 9761)
@@ -0,0 +1,69 @@
+
+
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: Patrick Boenzli
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
+
+
+#include "graphics_effect.h"
+
+#include "util/loading/load_param.h"
+
+ObjectListDefinition(GraphicsEffect);
+
+/**
+ * @param root The XML-element to load the GraphicsEffect from
+
+  @todo what to do, if no GraphicsEffect-Slots are open anymore ???
+ */
+GraphicsEffect::GraphicsEffect(const TiXmlElement* root) {
+  this->registerObject(this, GraphicsEffect::_objectList);
+    this->bActivated = false;
+}
+
+
+/**
+ *  destroys a GraphicsEffect
+ */
+GraphicsEffect::~GraphicsEffect() {
+}
+
+
+/**
+ * @param root The XML-element to load the GraphicsEffect from
+ */
+void GraphicsEffect::loadParams(const TiXmlElement* root) {
+    BaseObject::loadParams(root);
+}
+
+
+/**
+ *  initializes the graphics effect
+ */
+void GraphicsEffect::init() {}
+
+
+
+/**
+ * draws the effect, if needed
+ */
+void GraphicsEffect::draw() const {}
+
+
+
+/**
+ * ticks the effect if there is any time dependancy
+ */
+void GraphicsEffect::tick(float dt) {}
Index: branches/new_class_id/src/lib/graphics/graphics_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/graphics_effect.h	(revision 9761)
+++ branches/new_class_id/src/lib/graphics/graphics_effect.h	(revision 9761)
@@ -0,0 +1,40 @@
+/**
+ * @file graphics_effect.h
+ *  abstract type of graphical effects
+ */
+
+#ifndef _GRAPHICS_EFFECT
+#define _GRAPHICS_EFFECT
+
+#include "base_object.h"
+
+class TiXmlElement;
+
+//! A class that handles GraphicsEffects. The GraphicsEffectManager operates on this.
+class GraphicsEffect : public BaseObject {
+  ObjectListDeclaration(GraphicsEffect);
+  public:
+    GraphicsEffect(const TiXmlElement* root = NULL);
+    virtual ~GraphicsEffect();
+
+    virtual void loadParams(const TiXmlElement* root);
+
+    virtual void init();
+
+    virtual void activate() = 0;
+    virtual void deactivate() = 0;
+
+    virtual void draw() const;
+    virtual void tick(float dt);
+
+    inline bool isActivated() const {
+        return this->bActivated;
+    }
+
+
+protected:
+    bool              bActivated;
+};
+
+
+#endif /* _GRAPHICS_EFFECT */
Index: branches/new_class_id/src/lib/graphics/graphics_engine.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/graphics_engine.cc	(revision 9760)
+++ branches/new_class_id/src/lib/graphics/graphics_engine.cc	(revision 9761)
@@ -35,5 +35,5 @@
 #include "texture.h"
 
-#include "weather_effects/graphics_effect.h"
+#include "graphics_effect.h"
 
 #include "shell_command.h"
Index: branches/new_class_id/src/story_entities/game_world_data.cc
===================================================================
--- branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9760)
+++ branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9761)
@@ -44,5 +44,5 @@
 
 #include "graphics_engine.h"
-#include "weather_effects/graphics_effect.h"
+#include "graphics_effect.h"
 #include "weather_effects/atmospheric_engine.h"
 #include "event_handler.h"
Index: branches/new_class_id/src/world_entities/WorldEntities.am
===================================================================
--- branches/new_class_id/src/world_entities/WorldEntities.am	(revision 9760)
+++ branches/new_class_id/src/world_entities/WorldEntities.am	(revision 9761)
@@ -89,5 +89,4 @@
 		\
 		\
-		world_entities/weather_effects/graphics_effect.cc \
 		world_entities/weather_effects/atmospheric_engine.cc \
 		world_entities/weather_effects/weather_effect.cc \
@@ -192,5 +191,4 @@
 		\
 		\
-		weather_effects/graphics_effect.h \
 		weather_effects/atmospheric_engine.h \
 		weather_effects/weather_effect.h \
Index: branches/new_class_id/src/world_entities/weather_effects/graphics_effect.cc
===================================================================
--- branches/new_class_id/src/world_entities/weather_effects/graphics_effect.cc	(revision 9760)
+++ 	(revision )
@@ -1,69 +1,0 @@
-
-
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-### File Specific:
-   main-programmer: Patrick Boenzli
-*/
-
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
-
-
-#include "graphics_effect.h"
-
-#include "util/loading/load_param.h"
-
-ObjectListDefinition(GraphicsEffect);
-
-/**
- * @param root The XML-element to load the GraphicsEffect from
-
-  @todo what to do, if no GraphicsEffect-Slots are open anymore ???
- */
-GraphicsEffect::GraphicsEffect(const TiXmlElement* root) {
-  this->registerObject(this, GraphicsEffect::_objectList);
-    this->bActivated = false;
-}
-
-
-/**
- *  destroys a GraphicsEffect
- */
-GraphicsEffect::~GraphicsEffect() {
-}
-
-
-/**
- * @param root The XML-element to load the GraphicsEffect from
- */
-void GraphicsEffect::loadParams(const TiXmlElement* root) {
-    BaseObject::loadParams(root);
-}
-
-
-/**
- *  initializes the graphics effect
- */
-void GraphicsEffect::init() {}
-
-
-
-/**
- * draws the effect, if needed
- */
-void GraphicsEffect::draw() const {}
-
-
-
-/**
- * ticks the effect if there is any time dependancy
- */
-void GraphicsEffect::tick(float dt) {}
Index: branches/new_class_id/src/world_entities/weather_effects/graphics_effect.h
===================================================================
--- branches/new_class_id/src/world_entities/weather_effects/graphics_effect.h	(revision 9760)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/**
- * @file graphics_effect.h
- *  abstract type of graphical effects
- */
-
-#ifndef _GRAPHICS_EFFECT
-#define _GRAPHICS_EFFECT
-
-#include "base_object.h"
-
-class TiXmlElement;
-
-//! A class that handles GraphicsEffects. The GraphicsEffectManager operates on this.
-class GraphicsEffect : public BaseObject {
-  ObjectListDeclaration(GraphicsEffect);
-  public:
-    GraphicsEffect(const TiXmlElement* root = NULL);
-    virtual ~GraphicsEffect();
-
-    virtual void loadParams(const TiXmlElement* root);
-
-    virtual void init();
-
-    virtual void activate() = 0;
-    virtual void deactivate() = 0;
-
-    virtual void draw() const;
-    virtual void tick(float dt);
-
-    inline bool isActivated() const {
-        return this->bActivated;
-    }
-
-
-protected:
-    bool              bActivated;
-};
-
-
-#endif /* _GRAPHICS_EFFECT */