Index: branches/new_class_id/src/lib/util/loading/load_param.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9762)
+++ branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9763)
@@ -21,9 +21,9 @@
 #include "debug.h"
 /**
- * Constructs a new LoadParameter
+ * @brief Constructs a new LoadParameter
  * @param root the XML-element to load this Parameter from
  * @param paramName the Parameter to load
  * @param object the BaseObject, to load this parameter on to (will be cast to executor's Parameter)
- * @param executor the Executor, that executes the loading procedure.
+ * @param inLoadCycle If we are in a LoadCycle (loading differs.).
  */
 LoadParamBase::LoadParamBase(const TiXmlElement* root, const std::string& paramName, BaseObject* object, bool inLoadCycle)
@@ -54,5 +54,12 @@
 
 
-
+/**
+ * @brief generates a LoadParam based on
+ * @param root the Root Element to load onto the object.
+ * @param paramName the Parameter name that is loaded.
+ * @param object the Object to apply the changes on.
+ * @param executor the Functional Object, that actually executes the function Call.
+ * @param inLoadCycle If we are inside of a loading cycle. (Loading will be different here)
+ */
 CLoadParam::CLoadParam(const TiXmlElement* root, const std::string& paramName, BaseObject* object, Executor<const SubString>* executor, bool inLoadCycle)
     : LoadParamBase(root, paramName, object, inLoadCycle)
Index: branches/new_class_id/src/lib/util/loading/load_param.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param.h	(revision 9762)
+++ branches/new_class_id/src/lib/util/loading/load_param.h	(revision 9763)
@@ -37,5 +37,5 @@
 /**
  * Loads a Parameter from ROOT named PARAMETER_NAME
- * onto OBJECT of CLASS, trough the FUNCTION
+ * onto OBJECT of CLASS, trough FUNCTION
  * @param ROOT the TiXmlElement to load the Parameter from
  * @param PARAMETER_NAME the Name of the Parameter to load
@@ -47,4 +47,12 @@
          CLoadParam(ROOT, PARAMETER_NAME, OBJECT, createExecutor<CLASS>(&CLASS::FUNCTION), false)
 
+/**
+ * @brief Does essentially the same as LoadParam, but within a Cycle in an ordered fashion.
+ *
+ * This Function looks in each Element, if the PARAMETER_NAME matches, and loads onto OBJECT
+ * of CLASS the ROOT through FUNCTION
+ *
+ * @see LoadParam(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION)
+ */
 #define LoadParam_CYCLE(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
          CLoadParam(ROOT, PARAMETER_NAME, OBJECT, createExecutor<CLASS>(&CLASS::FUNCTION), true)
@@ -77,5 +85,6 @@
 **** REAL DECLARATIONS ****
 **************************/
-class LoadParamBase : public BaseObject
+//!< A BaseClass for all LoadParam's.
+class LoadParamBase
 {
 protected:
@@ -86,7 +95,7 @@
 
 protected:
-  BaseObject*              object;
-  const std::string        paramName;
-  bool                     inLoadCycle;
+  BaseObject*              object;               //!< The Object to work on
+  const std::string        paramName;            //!< The Name of the Parameter this LoadParams applies to.
+  bool                     inLoadCycle;          //!< If the Parameter is in a LoadCycle.
 
   LoadClassDescription*    classDesc;            //!< The LoadClassDescription of this CLoadParameter
@@ -96,5 +105,5 @@
 
 
-//! abstract Base class for a Loadable parameter
+//! The Loading Class of the LoadParam, that acctually executes the loading process.
 class CLoadParam : public LoadParamBase
 {
@@ -111,5 +120,5 @@
 
 private:
-  Executor<const SubString>*         executor;
+  Executor<const SubString>*         executor;            //!< The Executor, that actually executes the Loading process.
 };
 
Index: branches/new_class_id/src/lib/util/loading/load_param_xml.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_xml.cc	(revision 9762)
+++ branches/new_class_id/src/lib/util/loading/load_param_xml.cc	(revision 9763)
@@ -19,4 +19,13 @@
 #include "load_param_description.h"
 
+
+/**
+ * @brief generates a LoadParam based on
+ * @param root the Root Element to load onto the object.
+ * @param paramName the Parameter name that is loaded.
+ * @param object the Object to apply the changes on.
+ * @param executor the Functional Object, that actually executes the function Call.
+ * @param inLoadCycle If we are inside of a loading cycle. (Loading will be different here)
+ */
 XmlLoadParam::XmlLoadParam(const TiXmlElement* root, const std::string& paramName, BaseObject* object, Executor<const TiXmlElement*>* executor, bool inLoadCycle )
     : LoadParamBase(root, paramName, object, inLoadCycle)
Index: branches/new_class_id/src/lib/util/loading/load_param_xml.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_xml.h	(revision 9762)
+++ branches/new_class_id/src/lib/util/loading/load_param_xml.h	(revision 9763)
@@ -25,10 +25,29 @@
 #include "executor/executor_xml.h"
 
+/**
+ * @brief Loads a Parameter from ROOT named PARAMETER_NAME
+ * onto OBJECT of CLASS, trough FUNCTION
+ * @param ROOT the TiXmlElement to load the Parameter from
+ * @param PARAMETER_NAME the Name of the Parameter to load
+ * @param OBJECT The BaseObject to load the new setting to.
+ * @param CLASS What Class the BaseObejct is of (this is for identifying the Functuon)
+ * @param FUNCTION The function of Class to Load (if you want to call &CLASS::FUNCTION write FUNCTION here).
+ */
 #define LoadParamXML(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
          XmlLoadParam(ROOT, PARAMETER_NAME, OBJECT, new ExecutorXML<CLASS>(&CLASS::FUNCTION, ROOT, PARAMETER_NAME), false)
 
+
+/**
+ * @brief Does essentially the same as LoadParamXML, but within a Cycle in an ordered fashion.
+ *
+ * This Function looks in each Element, if the PARAMETER_NAME matches, and loads onto OBJECT
+ * of CLASS the ROOT through FUNCTION
+ *
+ * @see LoadParamXML(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION)
+ */
 #define LoadParamXML_CYCLE(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
          XmlLoadParam(ROOT, PARAMETER_NAME, OBJECT, new ExecutorXML<CLASS>(&CLASS::FUNCTION, ROOT, PARAMETER_NAME), true)
 
+//! A Class that can load XML tags onto an Object.
 class XmlLoadParam : public LoadParamBase
 {
@@ -37,8 +56,9 @@
     virtual ~XmlLoadParam();
 
+    /** @param descriptionText the description @returns self @brief describes the Loading parameter. */
     XmlLoadParam& describe(const std::string& descriptionText) { LoadParamBase::describe(descriptionText); return *this; };
 
   private:
-    Executor<const TiXmlElement*>*    executor;
+    Executor<const TiXmlElement*>*    executor;       //!< The Executor, that does the actual loading process.
 };
 