Index: branches/new_class_id/src/lib/util/loading/load_param_class_description.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9766)
+++ branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9767)
@@ -35,12 +35,11 @@
   ~LoadParamClassDescription();
 
-  bool operator==(const std::string& className) const { return this->className == className; };
-  bool operator==(const LoadParamClassDescription& classDescr) const { return this->className == classDescr.className; };
-  bool operator<(const LoadParamClassDescription& classDescr) const { return this->className < classDescr.className; }
-
-  static LoadParamClassDescription* addClass(const std::string& className);
-  LoadParamDescription* addParam(const std::string& paramName);
+  bool operator==(const std::string& className) const { return this->_className == className; };
+  bool operator==(const LoadParamClassDescription& classDescr) const { return this->_className == classDescr._className; };
+  bool operator<(const LoadParamClassDescription& classDescr) const { return this->_className < classDescr._className; }
 
   static void deleteAllDescriptions();
+
+
 
   static void printAll(const std::string& fileName = "");
@@ -52,9 +51,11 @@
   typedef std::set<LoadParamDescription>       ParamDescriptionSet;
 
-  static bool                                  parametersDescription;  //!< if parameter-description should be enabled.
-  static ClassDescriptionSet*                  classList;              //!< a list, that stores all the loadable classes. (after one instance has been loaded)
-  std::string                                  className;              //!< name of the class
+  static bool                                  _parametersDescription;  //!< if parameter-description should be enabled globally.
 
-  ParamDescriptionSet                          parameters;              //!< List of parameters this class knows.
+  static ClassDescriptionSet*                  _classList;              //!< a list, that stores all the loadable classes. (after one instance has been loaded)
+
+private:
+  std::string                                  _className;              //!< name of the class
+  ParamDescriptionSet                          _parameters;              //!< List of parameters this class knows.
 };
 
Index: branches/new_class_id/src/lib/util/loading/load_param_description.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9766)
+++ branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9767)
@@ -23,5 +23,5 @@
  */
 LoadParamDescription::LoadParamDescription(const std::string& paramName)
-  : name(paramName)
+  : _name(paramName)
 { }
 
@@ -38,5 +38,5 @@
 void LoadParamDescription::setDescription(const std::string& descriptionText)
 {
-  this->description = descriptionText;
+  this->_description = descriptionText;
 }
 
@@ -46,6 +46,6 @@
 void LoadParamDescription::print() const
 {
-  PRINT(3)(" <%s>", this->name.c_str());
-  for (unsigned int i = 0; i < this->parameterCount; i++)
+  PRINT(3)(" <%s>", this->_name.c_str());
+  for (unsigned int i = 0; i < this->_parameterCount; i++)
   {
     if (i > 0)
@@ -83,22 +83,22 @@
 //     }
   }
-  PRINT(3)("</%s>", this->name.c_str());
-  if (!this->description.empty())
-    PRINT(3)(" -- %s", this->description.c_str());
+  PRINT(3)("</%s>", this->_name.c_str());
+  if (!this->_description.empty())
+    PRINT(3)(" -- %s", this->_description.c_str());
   // default values
-  if (this->parameterCount > 0)
+  if (this->_parameterCount > 0)
   {
     PRINT(3)(" (Default: ");
-    for (unsigned int i = 0; i < this->parameterCount; i++)
+    for (unsigned int i = 0; i < this->_parameterCount; i++)
     {
       if (i > 0)
         PRINT(3)(", ");
-      if (this->types[i] == "string")
+      if (this->_types[i] == "string")
       { // leave brackets !!
-	PRINT(3)("\"%s\"", this->defaultValues[i].c_str());
+	PRINT(3)("\"%s\"", this->_defaultValues[i].c_str());
       }
       else
       {
-	PRINT(3)("%s", this->defaultValues[i].c_str());
+	PRINT(3)("%s", this->_defaultValues[i].c_str());
       }
     }
Index: branches/new_class_id/src/lib/util/loading/load_param_description.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_description.h	(revision 9766)
+++ branches/new_class_id/src/lib/util/loading/load_param_description.h	(revision 9767)
@@ -38,22 +38,21 @@
   ~LoadParamDescription();
 
-  bool operator==(const std::string& paramName) const { return this->name == paramName; };
-  bool operator==(const LoadParamDescription& paramDescr) const { return this->name == paramDescr.name; };
-  bool operator<(const LoadParamDescription& paramDescr) const { return this->name < paramDescr.name; };
+  bool operator==(const std::string& paramName) const { return this->_name == paramName; };
+  bool operator==(const LoadParamDescription& paramDescr) const { return this->_name == paramDescr._name; };
+  bool operator<(const LoadParamDescription& paramDescr) const { return this->_name < paramDescr._name; };
 
   void setDescription(const std::string& descriptionText);
   /** @returns the descriptionString */
-  const std::string& getDescription() { return this->description; };
+  const std::string& description() { return this->_description; };
 
   void print() const;
 
 private:
-  const std::string          name;                  //!< The Name of the Parameter.
-  unsigned int               parameterCount;        //!< The Count of parameters.
-  std::string                description;           //!< A longer description about this function.
+  const std::string          _name;                  //!< The Name of the Parameter.
+  unsigned int               _parameterCount;        //!< The Count of parameters.
+  std::string                _description;           //!< A longer description about this function.
 
-  std::vector<std::string>   types;
-  std::vector<std::string>   defaultValues;
-
+  std::vector<std::string>   _types;
+  std::vector<std::string>   _defaultValues;
 };
 